Bug 1126157 - [abrt] rhythmbox: remove_child(): rhythmbox killed by SIGSEGV
Summary: [abrt] rhythmbox: remove_child(): rhythmbox killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c3ff19d7f60a1782791cc47ea65...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 20:29 UTC by jonandmykaela
Modified: 2015-06-29 21:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:54:51 UTC


Attachments (Terms of Use)
File: backtrace (58.67 KB, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: core_backtrace (30.46 KB, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: dso_list (22.91 KB, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: environ (1.58 KB, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: maps (104.58 KB, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: open_fds (1.41 KB, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details
File: var_log_messages (6.16 KB, text/plain)
2014-08-02 20:29 UTC, jonandmykaela
no flags Details

Description jonandmykaela 2014-08-02 20:29:03 UTC
Version-Release number of selected component:
rhythmbox-3.0.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        rhythmbox /run/user/1000/gvfs/cdda:host=sr0
crash_function: remove_child
executable:     /usr/bin/rhythmbox
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 remove_child at rhythmdb-tree.c:1524
 #1 remove_entry_from_album at rhythmdb-tree.c:1545
 #2 rhythmdb_tree_entry_set at rhythmdb-tree.c:1635
 #3 rhythmdb_entry_set_internal at rhythmdb.c:3372
 #4 rhythmdb_entry_set at rhythmdb.c:3264
 #5 update_tracks at rb-audiocd-source.c:1245
 #6 update_tracks_string at rb-audiocd-source.c:1258
 #7 update_album_cb at rb-audiocd-source.c:1279
 #8 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #13 gtk_widget_event_internal at gtkwidget.c:7168

Potential duplicate: bug 703827

Comment 1 jonandmykaela 2014-08-02 20:29:07 UTC
Created attachment 923498 [details]
File: backtrace

Comment 2 jonandmykaela 2014-08-02 20:29:07 UTC
Created attachment 923499 [details]
File: cgroup

Comment 3 jonandmykaela 2014-08-02 20:29:09 UTC
Created attachment 923500 [details]
File: core_backtrace

Comment 4 jonandmykaela 2014-08-02 20:29:10 UTC
Created attachment 923501 [details]
File: dso_list

Comment 5 jonandmykaela 2014-08-02 20:29:11 UTC
Created attachment 923502 [details]
File: environ

Comment 6 jonandmykaela 2014-08-02 20:29:12 UTC
Created attachment 923503 [details]
File: exploitable

Comment 7 jonandmykaela 2014-08-02 20:29:13 UTC
Created attachment 923504 [details]
File: limits

Comment 8 jonandmykaela 2014-08-02 20:29:15 UTC
Created attachment 923505 [details]
File: maps

Comment 9 jonandmykaela 2014-08-02 20:29:16 UTC
Created attachment 923506 [details]
File: open_fds

Comment 10 jonandmykaela 2014-08-02 20:29:17 UTC
Created attachment 923507 [details]
File: proc_pid_status

Comment 11 jonandmykaela 2014-08-02 20:29:18 UTC
Created attachment 923508 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:33:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:54:51 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.